/*
 * No rights reserved, this code can be used or modified for any purpose, without acknowledgement.
 */

package com.arjuna.jboss.tests.counter;

import javax.ejb.CreateException;
import javax.ejb.EntityContext;
import javax.ejb.EntityBean;

public abstract class CounterBean implements EntityBean
{
    public String ejbCreate(String name)
        throws CreateException
    {
        setName(name);
        setValue(0);

        return null;
    }

    public void ejbPostCreate(String name)
    {
    }

    public void setEntityContext(EntityContext entityContext)
    {
        _entityContext = entityContext;
    }

    public void unsetEntityContext()
    {
        _entityContext = null;
    }

    public abstract void setName(String name);

    public abstract String getName();

    public abstract void setValue(int value);

    public abstract int getValue();

    public void ejbActivate() {}
    public void ejbPassivate() {}
    public void ejbLoad() {}
    public void ejbStore() {}
    public void ejbRemove() {}

    private EntityContext _entityContext = null;
}
